Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 06/01/2022 in all areas

  1. Sorry Steven P I misunderstood your previous post with the answer. And thank you Exceed for your input as well. It works great! If I understand, get the X and Y value of a point so you know the direction. Make conditional statement and reassign the version needed back to the original variable based on that direction. Then move forward.. Hope I'm in the ballpark (Or at least the parking lot.) Thanks again everyone!
    1 point
  2. Thanks exceed for the video that is exactly what I was describing. Which video capture do you use ? The one I use did an upgrade and now does not work so looking for another.
    1 point
  3. Backup Backup Backup that is all I will say. USB sticks are cheap.
    1 point
  4. Glad you could make use it. Definitely test it out before shredding a directory of drawings. The filter will only grab end numbers up to 3 digits long so if there are any longer than that just keep adding # like so separated by commas: (1 . "* .#,* .##,* .###,* .####,* .#####")
    1 point
  5. (defun c:test ( / s e p i a ) (if (and (setq x (getpoint "\nPick side to extend ")) (setq s (ssget ":L" '((0 . "LEADER") (-4 . "&=") (76 . 3)))) ) (repeat (setq i (sslength s)) (setq e (ssname s (setq i (1- i))) p (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= 10 (car x))) (entget e))) a (angle (car p) (cadr p)) ) (vlax-put (vlax-ename->vla-object e) 'coordinates (apply 'append ;(subst (cons (car x) (cdr (last p))) (subst (cons (car x) (cdr (cadr p)) ) (cadr p);(last p) p ) ) ) ) (princ "\nNothing?") ) (princ) ) maybe you edit (assoc 75) value 0 to 1 (hook flag)
    1 point
  6. Give this a try: (defun c:foo (/ _pts a d e el epts i mp n o p p2 s x y) ;; RJP 03.27.2018 ;; Aligns 'old school' 3 pt leaders matching angle of leader and fixes offset distance of horizontal landings ;; ***The bottom most leader is the one matched*** ;; Far from perfect, but better than doing it manually (defun _pts (e) (mapcar 'cdr (vl-remove-if-not '(lambda (x) (= 10 (car x))) (entget e)))) (cond ((and (setq s (ssget ":L" '((0 . "leader")))) (setq s (vl-sort (mapcar '(lambda (x) (append (list x) (_pts x))) (vl-remove-if 'listp (mapcar 'cadr (ssnamex s))) ) '(lambda (a b) (< (cadr (last a)) (cadr (last b)))) ) ) (setq d (/ (distance (last (car s)) (last (last s))) (length s))) (or (setq i (getdist (strcat "\nEnter spacing for horizontal leader[<" (vl-princ-to-string d) ">]: ") ) ) (setq i d) ) (setq e (car s)) (setq s (cdr s)) ) (setq a (angle (car (setq epts (cdr e))) (cadr epts))) (setq y (last epts)) (setq n 1) (foreach l s (setq o (vlax-ename->vla-object (car l))) (setq p (cdr l)) (cond ((setq mp (inters (car p) (polar (car p) a 1e-2) (setq p2 (list (car y) (+ (* n i) (cadr y)) 0.0)) (polar p2 0.0 1e-2) nil ) ) (vlax-put o 'coordinates (apply 'append (list (car p) mp p2))) (setq n (1+ n)) ) ) ) ) ) (princ) )(vl-load-com)
    1 point
  7. 1 point
×
×
  • Create New...